Subject: Re: bug#21957: 24.5; Make occur search within regions when there is one

From: Juri Linkov <[email-masked]>
Date: Fri, 20 Nov 2015 02:04:53 +0200

> This is a wish request.
>
> The current occur implementation doesn't include a `region' version
> which search only within the current region mark by user, instead it
> operates on the entire buffer.
>
> It would come in handy if occur searchs within regions as well. Such
> behavior is desired, for example, when listing the occurances of a
> symbol in the body of a function definition.

Do you think it would suit your needs when you first narrow the buffer
(e.g. to the body of a function with C-x n d) before running occur?